##
#	SWISH++
#	config/GNUmakefile
#
#	Copyright (C) 2000  Paul J. Lucas
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

########## You shouldn't have to change anything below this line. #############

ROOT:=		..
TARGET:=	$(ROOT)/platform.h platform.mk

.PNONY: all
all: $(TARGET)

include 	$(ROOT)/config/config.mk

##
# Build rules
##

$(TARGET): src/*.c
	./config-sh $(TARGET) $(CC) $(CCFLAGS)

##
# Utility rules
##

clean:

distclean: clean
	$(RM) $(TARGET)

# vim:set noet sw=8 ts=8:
